## cascading.tap
Class Lfs

    java.lang.Object
      cascading.tap.Tap
          cascading.tap.Hfs
              cascading.tap.Lfs

All Implemented Interfaces:
  FlowElement, Serializable

    public class Lfs

extends Hfs

Class Lfs is a `Tap` class that provides access to the Local File System via Hadoop.

Note that using a Lfs `Tap` instance in a `Flow` will force a portion of not the whole Flow to be executed in "local" mode forcing the Flow to execute in the current JVM. Mixing with `Dfs` and other Tap types is possible, providing a means to implement complex file/data management functions.

Use `Hfs` if you need a Tap instance that inherits the default `FileSystem` used by Hadoop.

See Also:
  Serialized Form

Constructor Summary
`Lfs(Fields fields, String stringPath)` Constructor Lfs creates a new Lfs instance.
`Lfs(Fields fields, String stringPath, SinkMode sinkMode)` Constructor Lfs creates a new Lfs instance.
`Lfs(Scheme scheme, String stringPath)` Constructor Lfs creates a new Lfs instance.
`Lfs(Scheme scheme, String stringPath, boolean replace)` Constructor Lfs creates a new Lfs instance.
`Lfs(Scheme scheme, String stringPath, SinkMode sinkMode)` Constructor Lfs creates a new Lfs instance.

Method Summary
`protected FileSystem` `getFileSystem(JobConf conf)`
`protected void` `setStringPath(String stringPath)`

Methods inherited from class cascading.tap.Hfs
`deletePath, equals, getDefaultFileSystem, getDefaultFileSystemURIScheme, getPath, getPathModified, getQualifiedPath, getTemporaryDirectory, getTempPath, getURIScheme, hashCode, isWriteDirect, makeDirs, makeTemporaryPathDir, makeURIScheme, openForRead, openForWrite, pathExists, setTemporaryDirectory, setUriScheme, sinkInit, sourceInit, toString`

Methods inherited from class cascading.tap.Tap
`flowInit, getIdentifier, getScheme, getSinkFields, getSinkMode, getSourceFields, getTrace, isAppend, isEquivalentTo, isKeep, isReplace, isSink, isSource, isUpdate, outgoingScopeFor, resolveFields, resolveIncomingOperationFields, setScheme, setWriteDirect, sink, source, taps`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Lfs

    @ConstructorProperties(value={"fields","stringPath"})
    public Lfs(Fields fields,
                                          String stringPath)

  Constructor Lfs creates a new Lfs instance.

  Parameters:
    `fields` - of type Fields
    `stringPath` - of type String

### Lfs

    @ConstructorProperties(value={"scheme","stringPath"})
    public Lfs(Scheme scheme,
                                          String stringPath)

  Constructor Lfs creates a new Lfs instance.

  Parameters:
    `scheme` - of type Scheme
    `stringPath` - of type String

### Lfs

    @ConstructorProperties(value={"scheme","stringPath","replace"})
    public Lfs(Scheme scheme,
                                          String stringPath,
                                          boolean replace)

  Constructor Lfs creates a new Lfs instance.

  Parameters:
    `scheme` - of type Scheme
    `stringPath` - of type String
    `replace` - of type boolean

### Lfs

    @ConstructorProperties(value={"fields","stringPath","sinkMode"})
    public Lfs(Fields fields,
                                          String stringPath,
                                          SinkMode sinkMode)

  Constructor Lfs creates a new Lfs instance.

  Parameters:
    `fields` - of type Fields
    `stringPath` - of type String
    `sinkMode` - of type SinkMode

### Lfs

    @ConstructorProperties(value={"scheme","stringPath","sinkMode"})
    public Lfs(Scheme scheme,
                                          String stringPath,
                                          SinkMode sinkMode)

  Constructor Lfs creates a new Lfs instance.

  Parameters:
    `scheme` - of type Scheme
    `stringPath` - of type String
    `sinkMode` - of type SinkMode

Method Detail

### setStringPath

    protected void setStringPath(String stringPath)

  Overrides:
    `setStringPath` in class `Hfs`

### getFileSystem

    protected FileSystem getFileSystem(JobConf conf)
                                throws IOException

  Overrides:
    `getFileSystem` in class `Hfs`
  Throws:
    `IOException`

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.